/* History */
.subnav-history:not(.hidden),
.subnav-history main,
.subnav-history races,
.subnav-history racelist {
    display: block;
}

.subnav-history main,
.subnav-history races,
.subnav-history div:not(.key-handler) {
    float: left;
}

.subnav-history {
    margin: 0 auto 2px;
}

.subnav-history div {
    height: 20px;
    line-height: 20px;
    margin: 2px 0 0 2px;
}

.subnav-history .full,
.subnav-history .season,
.subnav-history .team {
    clear: left;
    margin-left: 0;
}

.subnav-history .first-row {
    margin-top: 0;
}

.subnav-history .first-race {
    margin-left: 0;
}

.subnav-history .no-participate {
    margin: 0 0 2px;
}

.subnav-history .full,
.subnav-history .season,
.subnav-history .pts,
.subnav-history .pos {
    text-align: center;
}

.subnav-history .full {
    font-style: italic;
    width: 100%;
}

/* Main Info */
.subnav-history.no-group main {
    width: 150px;
}
.subnav-history.with-group main {
    width: 232px;
}

.subnav-history .season {
    width: 56px;
}

.subnav-history .group {
    width: 80px;
}

.subnav-history .pts {
    width: 50px;
}

.subnav-history .pos {
    width: 40px;
}

.subnav-history .team {
    box-sizing: border-box;
    padding-left: 3px;
    width: 100%;
}

.subnav-history .team .stats {
    display: none;
}

/* Race List */
.subnav-history.no-group races {
    width: calc(100% - 152px);
}
.subnav-history.with-group races {
    width: calc(100% - 234px);
}

.subnav-history races {
    margin-left: 2px;
}

.subnav-history .race-cell {
    position: relative;
    text-align: center;
    width: 30px;
}

.subnav-history .race-cell a {
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}

.subnav-history .race-cell.with-link:hover {
    background-color: #888888;
}

.subnav-history .gap,
.subnav-history .first-race {
    clear: left;
}

.subnav-history .gap {
    width: 100%;
}

/* Key Handler */
.subnav-history .key-handler {
    clear: left;
    margin: 0;
    padding-top: 2px;
    width: 100%;
}

.subnav-history .key-handler dl {
    margin-top: 0;
}

.subnav-history .key-handler dt,
.subnav-history .key-handler dd {
    margin: 0;
}

/* Widths (Not Grouped) */
.subnav-history.no-group.num-6,
.subnav-history.no-group.num-6 .full {
    width: 342px;
}
.subnav-history.no-group.num-7,
.subnav-history.no-group.num-7 .full {
    width: 374px;
}
.subnav-history.no-group.num-8,
.subnav-history.no-group.num-8 .full {
    width: 406px;
}
.subnav-history.no-group.num-9,
.subnav-history.no-group.num-9 .full {
    width: 438px;
}
.subnav-history.no-group.num-10,
.subnav-history.no-group.num-10 .full {
    width: 470px;
}
.subnav-history.no-group.num-11,
.subnav-history.no-group.num-11 .full {
    width: 502px;
}
.subnav-history.no-group.num-12,
.subnav-history.no-group.num-12 .full {
    width: 534px;
}
.subnav-history.no-group.num-13,
.subnav-history.no-group.num-13 .full {
    width: 566px;
}
.subnav-history.no-group.num-14,
.subnav-history.no-group.num-14 .full {
    width: 598px;
}
.subnav-history.no-group.num-15,
.subnav-history.no-group.num-15 .full {
    width: 630px;
}
.subnav-history.no-group.num-16,
.subnav-history.no-group.num-16 .full {
    width: 662px;
}
.subnav-history.no-group.num-17,
.subnav-history.no-group.num-17 .full {
    width: 694px;
}
.subnav-history.no-group.num-18,
.subnav-history.no-group.num-18 .full {
    width: 726px;
}
.subnav-history.no-group.num-19,
.subnav-history.no-group.num-19 .full {
    width: 758px;
}
.subnav-history.no-group.num-20,
.subnav-history.no-group.num-20 .full {
    width: 790px;
}
.subnav-history.no-group.num-21,
.subnav-history.no-group.num-21 .full {
    width: 822px;
}
.subnav-history.no-group.num-22,
.subnav-history.no-group.num-22 .full {
    width: 854px;
}
.subnav-history.no-group.num-23,
.subnav-history.no-group.num-23 .full {
    width: 886px;
}
.subnav-history.no-group.num-24,
.subnav-history.no-group.num-24 .full {
    width: 918px;
}

/* Widths (Grouped) */
.subnav-history.with-group.num-6,
.subnav-history.with-group.num-6 .full {
    width: 424px;
}
.subnav-history.with-group.num-7,
.subnav-history.with-group.num-7 .full {
    width: 456px;
}
.subnav-history.with-group.num-8,
.subnav-history.with-group.num-8 .full {
    width: 488px;
}
.subnav-history.with-group.num-9,
.subnav-history.with-group.num-9 .full {
    width: 520px;
}
.subnav-history.with-group.num-10,
.subnav-history.with-group.num-10 .full {
    width: 552px;
}
.subnav-history.with-group.num-11,
.subnav-history.with-group.num-11 .full {
    width: 584px;
}
.subnav-history.with-group.num-12,
.subnav-history.with-group.num-12 .full {
    width: 616px;
}
.subnav-history.with-group.num-13,
.subnav-history.with-group.num-13 .full {
    width: 648px;
}
.subnav-history.with-group.num-14,
.subnav-history.with-group.num-14 .full {
    width: 680px;
}
.subnav-history.with-group.num-15,
.subnav-history.with-group.num-15 .full {
    width: 712px;
}
.subnav-history.with-group.num-16,
.subnav-history.with-group.num-16 .full {
    width: 744px;
}
.subnav-history.with-group.num-17,
.subnav-history.with-group.num-17 .full {
    width: 776px;
}
.subnav-history.with-group.num-18,
.subnav-history.with-group.num-18 .full {
    width: 808px;
}
.subnav-history.with-group.num-19,
.subnav-history.with-group.num-19 .full {
    width: 840px;
}
.subnav-history.with-group.num-20,
.subnav-history.with-group.num-20 .full {
    width: 872px;
}
.subnav-history.with-group.num-21,
.subnav-history.with-group.num-21 .full {
    width: 904px;
}
.subnav-history.with-group.num-22,
.subnav-history.with-group.num-22 .full {
    width: 936px;
}
.subnav-history.with-group.num-23,
.subnav-history.with-group.num-23 .full {
    width: 968px;
}
.subnav-history.with-group.num-24,
.subnav-history.with-group.num-24 .full {
    width: 1000px;
}

/* Widths (Race List) */
.subnav-history.num-6 racelist {
    width: 190px;
}
.subnav-history.num-7 racelist {
    width: 222px;
}
.subnav-history.num-8 racelist {
    width: 254px;
}
.subnav-history.num-9 racelist {
    width: 286px;
}
.subnav-history.num-10 racelist {
    width: 318px;
}
.subnav-history.num-11 racelist {
    width: 350px;
}
.subnav-history.num-12 racelist {
    width: 382px;
}
.subnav-history.num-13 racelist {
    width: 414px;
}
.subnav-history.num-14 racelist {
    width: 446px;
}
.subnav-history.num-15 racelist {
    width: 478px;
}
.subnav-history.num-16 racelist {
    width: 510px;
}
.subnav-history.num-17 racelist {
    width: 542px;
}
.subnav-history.num-18 racelist {
    width: 574px;
}
.subnav-history.num-19 racelist {
    width: 606px;
}
.subnav-history.num-20 racelist {
    width: 638px;
}
.subnav-history.num-21 racelist {
    width: 670px;
}
.subnav-history.num-22 racelist {
    width: 702px;
}
.subnav-history.num-23 racelist {
    width: 734px;
}
.subnav-history.num-24 racelist {
    width: 766px;
}

/* Responsive Layouts: max-width 1001px */
@media only screen and (max-width: 1001px) {
    .subnav-history .full {
        width: 100vw !important;
    }
}

/* Tablet Layouts: min-width 481px, max-width 1001px */
@media only screen and (min-width: 481px) and (max-width: 1001px) {
    .subnav-history.scrollable {
        width: 100% !important;
    }

    .subnav-history.scrollable races {
        overflow: -moz-scrollbars-none;
        -ms-overflow-style: none;
        overflow-x: scroll;
        scrollbar-width: none;
    }

    .subnav-history.scrollable races::-webkit-scrollbar {
        height: 0 !important;
    }

    .subnav-history.scrollable main {
        position: relative;
    }

    .subnav-history.scrollable main:before {
        background-color: #ffffff;
        content: " ";
        display: block;
        height: 100%;
        position: absolute;
        width: 2px;
        z-index: 20;
    }

    .subnav-history.no-group.scrollable main:before {
        left: 150px;
    }
    .subnav-history.with-group.scrollable main:before {
        left: 232px;
    }

    .subnav-history.scrollable .full {
        position: relative;
        z-index: 30;
    }
}

/* Mobile Layouts: max-width 480px */
@media only screen and (max-width: 480px) {
    /* Circuit */
    .subnav-history.type-circuit,
    .subnav-history.type-circuit main {
        width: 100% !important;
    }

    .subnav-history.type-circuit .season {
        width: 36px;
    }

    .subnav-history.type-circuit .group {
        width: 60px;
    }

    .subnav-history.type-circuit.no-group .team {
        width: calc(100% - 132px);
    }
    .subnav-history.type-circuit.with-group .team {
        width: calc(100% - 194px);
    }

    .subnav-history.type-circuit .num-2 {
        height: 42px;
        line-height: 42px;
    }
    .subnav-history.type-circuit .num-3 {
        height: 64px;
        line-height: 64px;
    }
    .subnav-history.type-circuit .num-4 {
        height: 86px;
        line-height: 86px;
    }
    .subnav-history.type-circuit .num-5 {
        height: 108px;
        line-height: 108px;
    }

    /* Heats */
    .subnav-history.type-heats,
    .subnav-history.type-heats main {
        margin: 0 auto 2px;
        width: 300px !important;
    }

    .subnav-history.type-heats .team {
        width: 148px;
    }

    .subnav-history.type-heats .team .stats {
        display: block;
    }

    .subnav-history.type-heats .team .stats li {
        float: left;
        margin-right: 3px;
    }

    .subnav-history.type-heats .full {
        width: 100% !important;
    }

    /* Combined */
    .subnav-history races,
    .subnav-history .key-handler {
        display: none;
    }

    .subnav-history .team {
        clear: none;
        margin-left: 2px;
    }

    .subnav-history .team.team-first {
        margin-top: 0;
    }
}

/* Switchers */
.subnav-season .switcher,
.subnav-stats .switcher {
    box-sizing: border-box;
    height: 24px;
    padding: 0 2px 2px;
    position: relative;
    width: 100%;
}

.subnav-season .switcher dl,
.subnav-stats .switcher dl {
    position: absolute;
    right: 2px;
    width: 50px;
}

.subnav-stats .switcher dl li {
    width: 100%;
}

@media only screen and (max-width: 480px) {
    .subnav-season .switcher dl,
    .subnav-stats .switcher dl {
        position: initial;
        width: 100%;
    }
}
